Bug 212261 - Pirut won't let you install all packages
Pirut won't let you install all packages
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-10-25 17:12 EDT by Ed Friedman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 11:46:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2006-10-25 17:12:40 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start pirut
2.Select all optional packages available for everything
3.Click the Apply button
Actual results:
Error occurs with packages linphone and autogen not being able to be installed.

Expected results:
All packages should be installed or offending packages which have no possiblity
of installing should not be able to be selected under pirut.  If this is not
possible, then the location of the bad package should be indicated somehow so
that it can be deselected under pirut.

Additional info:
I've located "linphone" in Applications -> Graphical Internet
I've been unable to locate where "autogen" is located.  Until I do, pirut
remains unusable.
Comment 1 Jeremy Katz 2006-10-25 18:15:09 EDT
What error does it give?
Comment 2 Ed Friedman 2006-10-26 12:32:39 EDT
The error message is:
Missing Dependency: libortp.so.2()(64bit) is needed by package linphone
Missing Dependency: libopts.so.24()(64bit) is needed by package autogen

Also, the packages bmp and lincvs can't be selected.  Their box can be checked, 
but it becomes unchecked before you hit the Apply button.  I presume that this 
is because those packages lack something needed for installation, and this is 
the behavior I would hope to see for any packages not able to be installed.
Comment 3 Jeremy Katz 2006-10-30 11:46:32 EST
These are bugs with the specific packages and need to be filed against them.

Note You need to log in before you can comment on or make changes to this bug.